﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg road = "07.jpg"
    image bg bench = "11.jpg"
    image bg store = "24.jpg"
    image bg clouds = "36.jpg"
    image black = "#000000"
    image white = "#FFFFFF"
    image chew1 = "asuka_chew1.png"
    image chew2 = "asuka_chew2.png"
    image eh = "asuka_eh.png"
    image hah = "asuka_hah.png"
    image hee = "asuka_hee.png"
    image yum = "asuka_yum.png"    

    # Declare characters used by this game.
    $ o = Character('Onigiri-kun', color="#660033")
    $ b = Character('Beret-chan', color="#3300CC")
    
    # The game starts here.
label start:
    
    scene black
    with fade
    
    "My name is Onigiri-kun, and I am a convenience store riceball."
    "I'm not sure what my purpose in life is so far, having only recently become aware of my existance."
    "I sit here, in my wrapper, on the shelf in the Ohamiyara Corner Store."
    
    scene bg store
    with fade
    
    "Seen here is the store front."
    "I'm somewhere inside, wrapped up like a good little riceball."
    "My filling you ask?"
    "Maguro."
    "Not important really."
    
    scene black
    with fade
    
    "Anyhow, when I awakened, I knew that something special was going to happen to me."
    "It's not every day a riceball becomes self-aware of what happens around him."
    "For some reason, I knew today especially, would be special."
    
    show hee
    with dissolve
    
    "Because that's when she came into my life."
    "I didn't know this beautiful girl's name, but I guess because she was wearing a beret on her head that I'd call her Beret-chan."
    
    show hah
    with dissolve
    
    b "Man, I'm starved..."
    b "It's about time I bought myself some lunch."
    
    "I didn't know what those words meant then."
    "Starved..."
    "Lunch..."
    "I would find out soon enough."
    
    show eh
    with dissolve
    
    b "I think I'll get a maguro onigiri."
    
    "This girl had decided to pick me out of all the other convenience store riceballs."
    "She decided to also buy a bottle of oolong tea, but that's not important."
    "The tea isn't self-aware like {i}I{/i} am."
    
    scene bg store
    with fade
    show hee
    with dissolve
    
    "And so after she gave this guy at the store some weird, shiny, round things, I was taken out of the only home I had ever known,"
    "This girl decided to start walking away from the store as well."
    
    scene bg road
    with fade
    show hee
    with dissolve
    
    "Yay, an adventure of sorts, I thought to myself."
    "I happened to like the thought of this, and was beginning to like Beret-chan."
    "She's very pretty, and she smells nice too."
    "The beret on her head also looks very fashionable."
    
    scene bg bench
    with fade
    show eh
    with dissolve
    
    "We had stopped at a weird looking thing just under another weird looking thing."
    
    b "This tree is definitely the perfect spot for lunch."
    
    "She said, as she sat down under what I think is called a 'tree'."
    "What happened next was something I did not expect."
    
    show hee
    with dissolve
    
    b "Alright, time for lunch."
    
    "Beret-chan said as she started to unwrap me."
    
    o "Whoa, please Beret-chan, I just met you and you're already undressing me?"
    
    "I said, but apparently, she did not hear me."
    "She instead moved me closer to her mouth and..."
    
    hide hee
    with dissolve
    show chew1
    with dissolve
    hide chew1
    with dissolve
    show chew2
    with dissolve
    hide chew2
    with dissolve
    show chew1
    with dissolve
    hide chew1
    with dissolve
    show chew2
    with dissolve
    
    o "OH MY GOD NO!"
    o "WHAT ARE YOU DOING TO ME?"
    
    "Beret-chan was taking bites out of me."
    "{i}This{/i} was lunch."
    "{i}I{/i} was lunch!"
    
    hide chew2
    with dissolve
    show yum
    with dissolve
    
    b "Sugoi! Maguro onigiri is so delicious!"
    
    "I would have said something, but I was too horrified at the prospect of being someone's lunch."
    
    hide yum
    show chew1
    with dissolve
    hide chew1
    with dissolve
    show chew2
    with dissolve
    hide chew2
    with dissolve
    show chew1
    with dissolve
    hide chew1
    with dissolve
    show chew2
    with dissolve
    
    o "THE PAIN!"
    o "THE AGONY!"
    o "WHY WOULD YOU DO THIS TO ME?!"
    
    "She continued to devour me, maguro and all."
    
    scene black
    with dissolve
    
    "Eventually, everything went dark, as I ended up inside of Beret-chan."
    "That monster!"
    "She proceeded to drown me after this with that oolong tea she bought."
    "Soon enough, my consciousness faded from my mind, and all I could see, was white..."
    
    scene white
    with pixellate
    
    centered "{color=#990000}And that was the end of Onigiri-kun, devoured by the beret-wearing girl he adored.{/color}"
    
    scene black
    with fade
    
    centered "{i}Watashi wa Onigiri!{/i}"
    centered "A {i}Windbreaker Productions{/i} kinetic novel."
    centered "By {i}Dei Akarinazo{/i}"
    centered "Completed July 4th, 2009, at 5:00 PM GMT - 8"
    
    return
    
    
    
